@charset "utf-8";

*,
::before,
::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

#background-container {
    position: relative;
    background-image: url(../img/Full-Background.png);
    background-size: cover;
    background-position: center;
    background-repeat: repeat;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    transition: background-position 0.5s ease;
}

#cherryblossoms {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
}

#character {
    position: absolute;
    top: 72%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 200px;
    height: auto;
}

.placeholder {
    position: absolute;
    font-size: 2vw;
    font-family: "Press Start 2P", serif;
    font-weight: 400;
    font-style: normal;
    color: white;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
    opacity: 0;
    transition: opacity 0.5s ease;
    padding: 10px;
    background: rgba(0, 0, 0, 0.4);
    border-radius: 10px;
    backdrop-filter: blur(10px);
}

#placeholder-text {
    top: 30%;
    left: 50%;
    transform: translateX(-50%);
}

#placeholder-image {
    top: 2%;
    left: 50%;
    transform: translateX(-50%);
    width: 200px;
    height: auto;
}

#placeholder-text-2 {
    top: 40%;
    left: 50%;
    transform: translateX(-50%);
}

#placeholder-image-2 {
    top: 2%;
    left: 50%;
    transform: translateX(-50%);
    width: 400px;
}

#placeholder-text-3 {
    top: 40%;
    left: 50%;
    transform: translateX(-50%);
}

#placeholder-image-3 {
    top: 2%;
    left: 50%;
    transform: translateX(-50%);
    width: 350px;
}

#placeholder-image-6 {
  top: 2%;
  left: 50%;
  transform: translateX(-50%);
  width: 250px;
}

#placeholder-image-5 {
  top: 2%;
  left: 50%;
  transform: translateX(-50%);
  width: 300px;
}

#placeholder-image-7 {
  top: 2%;
  left: 50%;
  transform: translateX(-50%);
  width: 300px;
}

#placeholder-image-8 {
  top: 2%;
  left: 50%;
  transform: translateX(-50%);
  width: 300px;
}

#placeholder-image-9 {
  top: 2%;
  left: 50%;
  transform: translateX(-50%);
  width: 300px;
}



/* More placeholders */
#placeholder-text-4,
#placeholder-text-5,
#placeholder-text-6,
#placeholder-text-7,
#placeholder-text-8,
#placeholder-text-9 {
    top: 30%;
    left: 80%; 
    transform: translateX(-50%);
};


#placeholder-image-4,
#placeholder-image-9,
#placeholder-image-10 {
    top: 2%;
    left: 50%;
    transform: translateX(-50%);
    width: 350px;
};

/* Language Toggle and Music Toggle  */

#language-toggle-button  {
    background-color: #4CAF50;
    color: white;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s;
}

#language-toggle-button.toggled {
  background-color: #00b7ff;
  color: white;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s;
}

#language-toggle-button.toggled:hover {
    background-color: #026fc9;
    color: rgb(189, 188, 188);
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s;
    border-radius: 20px;

}

/* Default button styling */
.language-toggle-button {
  background-color: #ff0000;
  color: white;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.3s;
  border-radius: 20px;
  opacity: .5;
}

.language-toggle-button:hover {
  background-color: #c20000;
  color: rgb(180, 178, 178);
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.3s;
  border-radius: 20px;
}

/* Styling when language is toggled to Japanese */
.language-toggle-button.toggled {
  background-color: #e00303; 
  color: rgb(196, 196, 196);  
  font-weight: bold;  
}

/* Music toggle button styles */
#music-toggle button.toggled {
  background-color: #2196F3; 
  color: white;
}


#music-toggle button {
    background-color: #2196F3;
    color: white;
    border: none;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s;
}

#music-toggle button.toggled {
    background-color: #ff9800;
}


#language-toggle,
#music-toggle {
    position: fixed;
    z-index: 2;
}

#language-toggle {
    top: 50px;
    left: 20px;
}

#music-toggle {
    bottom: 20px;
    right: 20px;
}

#music-toggle button {
    background-color: #4CAF50;
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s ease;
    opacity: .5;
}

#music-toggle button.toggled {
    background-color: #F44336;
}

#music-toggle button:hover {
    background-color: #464646;
    color: rgb(255, 255, 255);
}

/* Loading Screen */
#loadingScreen {
    position: fixed;
    width: 100vw;
    height: 100vh;
    z-index: 9999;
    display: block; 
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
    background-color: rgba(0, 0, 0, 0.6); 
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    opacity: 1;
    transition: opacity 2s ease-out; 
    overflow: hidden;
  }
  
  #loadingScreen::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
background-color: black;   
    filter: blur(10px); 
    z-index: -1; 
  }
  
  /* Loading gif */
  .loading-gif {
    position: relative;
    object-fit: contain;
    width: 250px; 
    height: auto;
    animation: rotate 2s linear infinite; 
  }
  
  /* Pulse effect for the loading text */
  #loading-text {
    position: relative;
    text-align: center;
    color: white;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8);
    font-size: 3vw;
    font-family: "Press Start 2P", serif;
    font-weight: 400;
    font-style: normal;
    margin-top: 20px;
    animation: pulse 1.5s ease-in-out infinite; 
  }
  
  @keyframes pulse {
    0% {
      opacity: 0.8;
      transform: scale(1);
    }
    50% {
      opacity: 1;
      transform: scale(1.1);
    }
    100% {
      opacity: 0.8;
      transform: scale(1);
    }
  }
  
  /* Rotation animation for the loading gif
  @keyframes rotate {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  } */
  
  /* Background hide initially */
  #background-container {
    display: none;
  }
  
  body.loading #loadingScreen {
    opacity: 0; 
    pointer-events: none; 
  }
  
  body.loading #background-container {
    display: block;
  }
  
  #placeholder-text-10 {
    position: absolute; 
    width: 470px;
    height: auto;
    top: 65%;
    left: 80%; 
    transform: translate(-50%, -50%); 
  }

  #placeholder-text-10 #strong {
    font-weight: bold;
    text-align: center;
  }

  #placeholder-image-11{
    position: absolute;
    width: 100vw;
    height: 100vh;
  }
  
  #placeholder-text-11{
    z-index: 9999;
    text-align: center;
  }